Bug 1162722 - tigervnc-server has no IPV6 support
Summary: tigervnc-server has no IPV6 support
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tigervnc
Version: 7.0
Hardware: Unspecified
OS: Unspecified
medium
unspecified
Target Milestone: rc
: ---
Assignee: Tim Waugh
QA Contact: Robin Hack
URL:
Whiteboard:
Keywords: Patch
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-11-11 14:44 UTC by Uwe Koziolek
Modified: 2015-11-19 09:03 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2015-11-19 09:03:30 UTC


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2233 normal SHIPPED_LIVE Moderate: tigervnc security, bug fix, and enhancement update 2015-11-19 09:11:46 UTC

Description Uwe Koziolek 2014-11-11 14:44:26 UTC
Description of problem:
It is not possible to connect to a tigervnc-server via IPV6

Version-Release number of selected component (if applicable):
1.2.80-0.30.20130314svn5065.el7

How reproducible:
/usr/bin/vncserver :1
netstat -an |grep 5901
tcp        0      0 0.0.0.0:5901            0.0.0.0:*               LISTEN

there is no tcp6 Entry in the List

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:
netstat -an |grep 5901
tcp        0      0 0.0.0.0:5901            0.0.0.0:*               LISTEN
tcp6       0      0 :::5901                 :::*                    LISTEN

Additional info:

It exists already a IPV6-patch for tigervnc-server
http://sourceforge.net/p/tigervnc/feature-request-tracker/_discuss/thread/74b73998/a2d1/attachment/tigervnc-ipv6.patch

Comment 2 Tim Waugh 2014-11-11 16:52:02 UTC
Thanks. Reported upstream in the new issue tracker:
  https://github.com/TigerVNC/tigervnc/issues/68

Comment 3 Tim Waugh 2014-11-19 10:51:22 UTC
Fixed upstream. There was more to do than the old patch at Launchpad.

Comment 4 Tim Waugh 2014-12-08 16:51:38 UTC
It turns out there's still more to do upstream.
https://github.com/TigerVNC/tigervnc/issues/77

Comment 5 Tim Waugh 2015-04-08 09:59:16 UTC
IPv6 support was merged upstream from this pull request:
https://github.com/TigerVNC/tigervnc/pull/150

Comment 6 Tim Waugh 2015-04-20 12:20:55 UTC
For testing Xvnc:

1. IPv4+IPv6
2. IPv4-only on interface (e.g. ifconfig lo del ::1 for localhost) but host is IPv6 capable
3. IPv6-only on interface (e.g. ifconfig lo del 127.0.0.1) but host is IPv4 capable
4. IPv4-only (boot with ipv6.disable=1)

A. Start Xvnc with -localhost, check that correct address(es) are bound
B. Start Xvnc without -localhost, check that correct address(es) are bound

Need to check above matrix 1,2,3,4 x A,B.

For testing vncviewer:

1. Try numeric IPv6 address, e.g. '[::1]:1'
2. Try numeric IPv4 address
3. Try IPv6 DNS name (localhost, adjust /etc/hosts)
4. Try IPv4 DNS name (localhost, adjust /etc/hosts)

Check connections are to correct addresses with netstat -tn.

Comment 7 Jan Grulich 2015-05-14 12:02:03 UTC
Fixed in tigervnc-1.3.1-1.el7.

Comment 14 errata-xmlrpc 2015-11-19 09:03:30 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2233.html


Note You need to log in before you can comment on or make changes to this bug.